net.corda.core

## Class ErrorOr.Companion

- net.corda.core.ErrorOr.Companion

- Enclosing class:
    ErrorOr<A>

      public static class ErrorOr.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> ErrorOr<T>` | `catch(kotlin.jvm.functions.Function0<? extends T> body)` Runs the given lambda and wraps the result.
    `ErrorOr<A>` | `of(java.lang.Throwable t)`

- - ### Method Detail

    - #### catch

          public <T> ErrorOr<T> catch(kotlin.jvm.functions.Function0<? extends T> body)

      Runs the given lambda and wraps the result.

    - #### of

          public ErrorOr<A> of(java.lang.Throwable t)